Bug 171090 - Review Request: paps - Plain Text to PostScript(TM) converter
Review Request: paps - Plain Text to PostScript(TM) converter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://people.redhat.com/tagoh/paps/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-17 23:01 EDT by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 06:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2005-10-17 23:01:14 EDT
Spec Name or Url: http://people.redhat.com/tagoh/paps/paps.spec
SRPM Name or Url: http://people.redhat.com/tagoh/paps/paps-0.3-1.src.rpm
Description: 

paps is a PostScript(TM) converter from plain text file using Pango.
Comment 1 Aurelien Bompard 2005-10-22 16:38:50 EDT
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* The package should contain the text of the license (the COPYING file)
  (wiki: PackageReviewGuidelines)
* The package does not honor RPM_OPT_FLAGS. Building with:
  make %{?_smp_mflags} CC="gcc $RPM_OPT_FLAGS"
  should do it.
Comment 2 Akira TAGOH 2005-10-24 22:47:37 EDT
Thank you for reviewing. I've put the updated spec file and srpm file at the
same place.
Comment 3 Aurelien Bompard 2005-10-25 03:47:37 EDT
* RPM name is OK
* Source paps-0.3.tgz is the same as upstream
* Builds fine in mock
* rpmlint of paps looks OK
* File list of paps looks OK
* Works fine
APPROVED

Next time please increase release when updating the package, it make it easier
to know which release has been approved.
Comment 4 Akira TAGOH 2005-10-25 06:54:51 EDT
Sure. thanks.
Comment 5 Dov Grobgeld 2005-11-03 16:03:52 EST
Please use paps-0.5.tgz that I just released instead. It's postscript is up to
100 times more compact and it fixes several critical layout bugs.

Note You need to log in before you can comment on or make changes to this bug.